Package org.springframework.security.web.webauthn.api

# Enum Class CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy

java.lang.Object
java.lang.Enum<CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy>
org.springframework.security.web.webauthn.api.CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy>`, `Constable`

Enclosing class:
  CredProtectAuthenticationExtensionsClientInput.CredProtect

public static enum CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy extends Enum<CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`USER_VERIFICATION_OPTIONAL`
`USER_VERIFICATION_OPTIONAL_WITH_CREDENTIAL_ID_LIST`
`USER_VERIFICATION_REQUIRED`

## Method Summary

Modifier and Type
Method
Description
`static CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### USER_VERIFICATION_OPTIONAL

public static final CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy USER_VERIFICATION_OPTIONAL

### USER_VERIFICATION_OPTIONAL_WITH_CREDENTIAL_ID_LIST

public static final CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy USER_VERIFICATION_OPTIONAL_WITH_CREDENTIAL_ID_LIST

### USER_VERIFICATION_REQUIRED

public static final CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy USER_VERIFICATION_REQUIRED

## Method Details

### values

public static CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null